<?php

// ini_set('display_errors',1);
session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
require_once ("../../config/Datos.php");
require_once ("../canchapos/cCanchapos.php");
$oCanchapos = new cCanchapos();
require_once("../formatos/formato.php");


$fec = date('d-m-Y');

if($_POST['action']=="insertar"){
	if(!empty($_POST['txt_sep_cli_tel'])){
			
			list($hor,$min) = explode(':',$_POST['txt_sep_horini']);
			
			$fec1 = $_POST['txt_sep_fecini'].'-'.$hor.'-'.$min.'-00';	
			list($day,$mon,$year,$h,$i) = explode('-',$fec1);
			//ECHO $fec1.'--';

			//ECHO $day.'--';
			//ECHO $mon.'--';
			//ECHO $year.'--';

			$ffin=date('d-m-Y-H-i-00',mktime($h,$i+$_POST['txt_sep_min'],0,$mon,$day,$year));
			
			//ECHO '!'.$ffin;
			list($di,$mei,$yi,$hi,$mi) = explode('-',$ffin);
			
			$ff = $yi.'-'.$mei.'-'.$di.'T'.$hi.':'.$mi.':00';
			$fi = fecha_mysql($_POST['txt_sep_fecini']).'T'.$_POST['txt_sep_horini'];
			//ECHO '!'.$ff;
			$fftime = $yi.'-'.$mei.'-'.$di.' '.$hi.':'.$mi.':00';
			$timefin = strtotime($fftime);
			//ECHO '!'.$fftime;
			//ECHO '------'.$timefin;
			$fitime = fecha_mysql($_POST['txt_sep_fecini']).' '.$_POST['txt_sep_horini'];
			$timeini = strtotime($fitime)+1;
			//ECHO ' | '.$fitime;
			//echo '------'.$timeini.' -- '.$timefin.' -- '.$_POST['hdd_can_id'];
			$dts=$oCanchapos->verReserva($timeini,$timefin,$_POST['hdd_can_id']);
			$numrows = mysqli_num_rows($dts);
			
			if($numrows>0){
			    //echo 'ingreso--'; 
				$dt = mysqli_fetch_array($dts);
				$xac = $dt['tb_separacioncancha_xac'];
				//echo $xac;
				if($xac == 0){ $numrows=0; }
				
				//echo '--'.$numrows;
			}
			
			if($numrows>0){
				$data['sep_msj']='Ya existe una reserva para este horario.';
				$data['sep_est']='0';
			}else{
				
				$oCanchapos->insertar(
				fecha_mysql($fec),
				$_POST['txt_sep_fecini'],
				$_POST['txt_sep_horini'],
				$_POST['txt_sep_min'], 
				$fi,
				$ff, 
				$_POST['txt_sep_det'], 
				$_POST['txt_sep_cli_nom'],
				$_POST['txt_sep_cli_tel'],
				'1',
				$_POST['hdd_can_id'],
				$timeini,
				$timefin,
				moneda_mysql($_POST['txt_sep_mon']),
				$_SESSION['usuario_id']
				); 
				
				
				$data['sep_est']='1';
				//$data['sep_msj']='EN MANTENIMIENTO.';
				$data['sep_msj']='Se separo cancha correctamente.';
			}
			
		}
		
	
	else
	{
		$data['sep_msj']='Intentelo nuevamente.';

	}
	echo json_encode($data);
}

if($_POST['action']=="editar")
{
   // echo $_POST['hdd_sepcan_id'].'--';
	if(!empty($_POST['hdd_sepcan_id']))
	{
		
			list($hor,$min) = explode(':',$_POST['hdd_sep_horini_info']);
			
			$fec1 = $_POST['hdd_sep_fecini'].'-'.$hor.'-'.$min.'-00';
			
			
			//echo 'ini-'.$fec1.'--';
			list($day,$mon,$year,$h,$i) = explode('-',$fec1);
			
			//echo '--'.$_POST['txt_sep_min'];
			
			$ffin=date('d-m-Y-H-i-00',mktime($h,$i+$_POST['txt_sep_min'],0,$mon,$day,$year));
			
		//	$ffin=date('m-d-Y-H-i-00',mktime($h,$i+$_POST['txt_sep_min'],0,$day,$mon,$year));
			//echo $ffin.'--';
			list($di,$mei,$yi,$hi,$mi) = explode('-',$ffin);
			
			$ff = $yi.'-'.$mei.'-'.$di.'T'.$hi.':'.$mi.':00';
			$fi = fecha_mysql($_POST['hdd_sep_fecini']).'T'.$_POST['hdd_sep_horini_info'];
			
		//	echo $fi.'----'.$ff;
		
			$oCanchapos->modificar(
					$_POST['hdd_sepcan_id'],
					$_POST['txt_sep_cli_nominfo'],
					$_POST['txt_sep_cli_telinfo'],
					$_POST['txt_sep_detin'],			
					moneda_mysql($_POST['txt_sep_mon'])		
				);
		
			$data['sep_msj']='Se modifico el registro correctamente.';
			
	}
	else
	{
		$data['sep_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}


if($_POST['action']=="eliminar"){
	if(!empty($_POST['sepcan_id']))
	{
	
			$oCanchapos->eliminar($_POST['sepcan_id']);
			$data['sep_msj']= 'Se eliminó la reserva correctamente.';
	}
	else
	{
		$data['sep_msj']= 'Intentelo nuevamente.';
	}
	echo json_encode($data);
}



if($_POST['action']=="insertar_venta"){
	if(!empty($_POST['hdd_sepcan_id']))
	{
		
		require_once("../venta/cVenta.php");
		$oVenta = new cVenta();
		require_once("../venta/cVentapago.php");
		$oVentapago = new cVentapago();
		require_once ("../documento/cDocumento.php");
		$oDocumento= new cDocumento();
		require_once ("../talonario/cTalonario.php");
		$oTalonario= new cTalonario();
		require_once ("../ingreso/cIngreso.php");
		$oIngreso = new cIngreso();
		require_once("../cliente/cCliente.php");
		$oCliente = new cCliente();
		require_once ("../caja/cCaja.php");
		$oCaja = new cCaja();
		require_once("../kardex/cKardex.php");
		$oKardex = new cKardex();
		
require_once ("../historial/cHistorial.php");
$oHistorial = new cHistorial();

		$est = 1;
			
		$dts= $oDocumento->mostrarUno($_POST['cmb_doc_canpos_id']);
		$dt = mysqli_fetch_array($dts);
		$doc_nom=$dt['tb_documento_nom'];
		$doc_abr=$dt['tb_documento_abr'];
		mysqli_free_result($dts);
		
		if($doc_abr=='T'){
		$ser = 'T00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='F'){
		$ser = 'F00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='B'){
		$ser = 'B00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='GR'){
		$ser = 'GR00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='NC'){
		$ser = 'NC00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='P'){
		$ser = 'P00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='TR'){
		$ser = 'TR00'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='NA'){
		$ser = 'NA00'.$_SESSION['usuario_ser'];
		}

		$dts= $oTalonario->correlativo(1,$_POST['cmb_doc_canpos_id'],$ser);
		$dt = mysqli_fetch_array($dts);
			$tal_id=$dt['tb_talonario_id'];
			$tal_ser=$dt['tb_talonario_ser'];
			$tal_fin=$dt['tb_talonario_fin'];
			$tal_num=$dt['tb_talonario_num'];
		mysqli_free_result($dts);

		$numero=$tal_num;
		$largo=strlen($tal_fin);
		$numero=str_pad($numero,$largo, "0", STR_PAD_LEFT);
		$numdoc=$tal_ser.'-'.$numero;
			
	$_POST['txt_mone_id'] = 1;		
	$dts=$oCanchapos->mostrarUno($_POST['hdd_sepcan_id']);
	$dt = mysqli_fetch_array($dts);
			//$fec = $dt['tb_separacioncancha_fec'];
			$hini = $dt['tb_separacioncancha_horforini'];		
			$est = $dt['tb_separacioncancha_est'];
			$det = $dt['tb_separacioncancha_des'];
			$tiemin = $dt['tb_separacioncancha_tiemin'];
			$horainitime = $dt['tb_separacioncancha_horainitime'];
			$horafintime = $dt['tb_separacioncancha_horafintime'];
			
			$can_nom = $dt['tb_cancha_nom'];
			
	mysqli_free_result($dts);
	
$fec = date('d-m-Y');
	
			$tot = $_POST['txt_ven_tot'];
			$cli_id = $_POST['hdd_ven_cli_idv'];
			$cli_doc = $_POST['txt_ven_cli_docv'];
			$cli_nom = $_POST['txt_ven_cli_nomv'];
			$cli_dir = $_POST['cmb_ven_cli_dirv'];
	
			
			$_POST['txt_ven_tot'] = $tot;
			$_POST['txt_ven_valven'] = $tot / 1.18;
			$_POST['txt_ven_igv'] = $tot - $_POST['txt_ven_valven'];
			
			if($_POST['cmb_forpag_id_canpos']==1)
			{
				$fecvenpag = $fec;	
			}else if($_POST['cmb_forpag_id_canpos']==2)
			{		
				$fecvenpag = $_POST['txt_canpos_fecven'];
			}
			
			
			
			$rs=$oVenta->insertar(
			fecha_mysql($fec),
			fecha_mysql($fecvenpag),
			$_POST['cmb_doc_canpos_id'],
			$numdoc,
			$_POST['txt_mone_id'],
			1,
			$cli_id,
			$cli_nom,
			$cli_dir,
			$_POST['cmb_ven_cli_vehi'],
			moneda_mysql($_POST['txt_ven_valven']),
			moneda_mysql(0),
			moneda_mysql($_POST['txt_ven_igv']),
			moneda_mysql($_POST['txt_ven_tot']),
			$est,			
			$_SESSION['usuario_id'],
			$_SESSION['usuario_id'],
			1,
			1,
			'--',
			0,//tb_venta_gra
			0,//tb_venta_ina
			0,//tb_venta_exo
			0,//tb_venta_grat
			0,//tb_venta_isc
			0,
			0,
			0,
			0,
			'',
			'',
			'',
			'0',
			'',
			$app_igv_val,
			$app_igv_sub,
			$app_igv_igv
		);
		
		$dts=$oVenta->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$ven_id=$dt['id'];
		mysqli_free_result($dts);
				
		$estado='1';
		if($tal_num==$tal_fin)
		{
			$estado='2';
		}
		$numero=$tal_num+1;
		$rs3 = $oTalonario->actualizar_correlativo($tal_id, $numero, $estado);
				
			
		$ing_cue_id = 4;
			
			// un solo pago
		if ($_POST['hdd_venpag_val']=="")
		{
			$ingreso=0;
			if($_POST['cmb_forpag_id']==1)
			{
				$forma='CONTADO';
				$est=1;
				$ingreso=1;

			
					$modpag = $_POST['cmb_modpag_id'];
		
		if($modpag == '1'){
			$modo='CONTADO - EFECTIVO';
		}else if($modpag == '2'){
			$modo='CONTADO - DEPOSITO';
		}else if($modpag == '4'){
			$modo='CONTADO - TRANSFERENCIA';
		}else if($modpag == '5'){
			$modo='CONTADO - CHEQUE';
		}else if($modpag == '6'){
			$modo='CONTADO - TARJETA';
		}else if($modpag == '7'){
			$modo='CONTADO - YAPE';
		}else if($modpag == '8'){
			$modo='CONTADO - PLIN';
		}
				
				
			$_POST['txt_venpag_fecven'] = $fec;
			
			}
			
			if($_POST['cmb_forpag_id']==2)
			{
				$forma='CREDITO';
				$modo='CREDITO';
				$est=2;
				$_POST['txt_venpag_fecven'] = $_POST['txt_venpag_fecven'];
			}
			
			
			if($_POST['txt_venpag_numdia']==''){
				$_POST['txt_venpag_numdia'] = 0;
			}
			
			if($_POST['txt_venpag_fecven']==''){
				$_POST['txt_venpag_fecven'] = $fec;
			}
			
			$rs1=$oVentapago->insertar(
				$_POST['cmb_forpag_id'],
				$_POST['cmb_modpag_id'],
				moneda_mysql($_POST['txt_venpag_mon']),
				$_POST['txt_venpag_numdia'],
				fecha_mysql($_POST['txt_venpag_fecven']),
				$est,
				$ven_id,
				'2'
			);

			$dtsvp=$oVentapago->ultimoInsert();
			$dtvp = mysqli_fetch_array($dtsvp);
				$venpag_id=$dtvp['id'];
			mysqli_free_result($dtsvp);

		$rs1=$oVentapago->insertar_ventapago_ingreso(
				fecha_mysql($fec)
		);
			
		$dtsvpi=$oVentapago->ultimoInsertVentaPagoIngreso();
		$dtvpi = mysqli_fetch_array($dtsvpi);
		$venpagiing_id=$dtvpi['id'];
		mysqli_free_result($dtsvpi);
				
		$oVentapago->insertar_ventapago_ingreso_detalle($venpagiing_id,$venpag_id);
			
			if($ingreso==1)
			{
				//ingreso
				$ing_det="VENTA $doc_nom $numdoc | $modo";
				$ing_est=1;
				$mon_id=$_POST['txt_mone_id'];
				$mod_id=3; //modulo 3 venta
				$ing_subcue_id = 0;
				
				$rs2=$oIngreso->insertar(
					$_SESSION['usuario_id'],
					$_SESSION['usuario_id'],
					fecha_mysql($fec),
					fecha_mysql($fec),
					$_POST['cmb_doc_canpos_id'],
					$numdoc,
					$ing_det,
					moneda_mysql($_POST['txt_ven_tot']),
					$ing_est,
					$ing_cue_id,
					moneda_mysql($ing_subcue_id),
					$cli_id,
					$_POST['cmb_caj_id'],
					$mod_id,
					$venpagiing_id,
					$_POST['cmb_forpag_id'],
					$_POST['cmb_modpag_id'],
					moneda_mysql(''),
					moneda_mysql(''),
					moneda_mysql(''),
					moneda_mysql(''),
					$_POST['txt_venpag_numope']
				);
			}
			
		}
		
		//varios pagos
		if ($_POST['hdd_venpag_val']=="1")
		{
			if (isset($_SESSION['venpag_mon']))
			{
				foreach ($_SESSION['venpag_mon'] as $indice => $valor)
				{
					$ingreso=0;

					if($_SESSION['venpag_for'][$indice]==1)
					{
						$forma='CONTADO';
						$est=1;
						$ingreso=1;

						if($_SESSION['venpag_mod'][$indice]==1)
						{
							$modo='EFECTIVO';
							$caj_id=$caj_id;
						}

						if($_SESSION['venpag_mod'][$indice]==2)
						{
							$modo='DEPOSITO';

						}

						if($_SESSION['venpag_mod'][$indice]==4)
						{
							$modo='TRANSFERENCIA';
							
						}
						if($_SESSION['venpag_mod'][$indice]==5)
						{
							$modo='CHEQUE';
							
						}
						if($_SESSION['venpag_mod'][$indice]==6)
						{
							$modo='TARJETA';
							
						}
						if($_SESSION['venpag_mod'][$indice]==7)
						{
							$modo='YAPE';
							
						}
						if($_SESSION['venpag_mod'][$indice]==8)
						{
							$modo='PLIN';
							
						}

						
					}
			
					if($_SESSION['venpag_for'][$indice]==2)
					{
						$forma='CREDITO';
						$modo='CREDITO';
						$est=2;
					}
					
					
		if($_SESSION['venpag_numdia'][$indice]==''){
				$_SESSION['venpag_numdia'][$indice] = 0;
			}
			
			if($_SESSION['venpag_fecven'][$indice]==''){
				$_SESSION['venpag_fecven'][$indice] = $fec;
			}
			
			

					$oVentapago->insertar(
						$_SESSION['venpag_for'][$indice],
						$_SESSION['venpag_mod'][$indice],
						moneda_mysql($valor),
						$_SESSION['venpag_numdia'][$indice],
						fecha_mysql($_SESSION['venpag_fecven'][$indice]),
						$est,
						$ven_id,
						'2'
					);

					$dtsvp=$oVentapago->ultimoInsert();
					$dtvp = mysqli_fetch_array($dtsvp);
						$venpag_id=$dtvp['id'];
					mysqli_free_result($dtsvp);



					$rs1=$oVentapago->insertar_ventapago_ingreso(
							fecha_mysql($fec)
						);
			
		$dtsvpi=$oVentapago->ultimoInsertVentaPagoIngreso();
		$dtvpi = mysqli_fetch_array($dtsvpi);
		$venpagiing_id=$dtvpi['id'];
		mysqli_free_result($dtsvpi);
				
		$oVentapago->insertar_ventapago_ingreso_detalle($venpagiing_id,$venpag_id);
		

					if($ingreso==1)
					{
						//ingreso
						$ing_det="VENTA $doc_nom $numdoc | $modo";
						$ing_est=1;
						$mon_id=$_POST['txt_mone_id'];
						$mod_id=3; //modulo 3 venta
						$ing_subcue_id = 0;
						
			$rs2=$oIngreso->insertar(
					$_SESSION['usuario_id'],
					$_SESSION['usuario_id'],
					fecha_mysql($fec),
					fecha_mysql($fec),
					$_POST['cmb_doc_id'],
					$numdoc,
					$ing_det,
					moneda_mysql($valor),
					$ing_est,
					$ing_cue_id,
					moneda_mysql($ing_subcue_id),
					$cli_id,
					$_SESSION['venpag_cajid'][$indice],
					$mod_id,
					$venpagiing_id,
					$_SESSION['venpag_for'][$indice],
					$_SESSION['venpag_mod'][$indice],
					moneda_mysql(''),
					moneda_mysql(''),
					moneda_mysql(''),
					moneda_mysql(''),
					$_SESSION['venpag_numope'][$indice]
				);
			}
				//	$sumacuentas += $valor;
					
				}
			}

			if(isset($_SESSION['venpag_mon']))
			{
				unset($_SESSION['venpag_mon']);
				unset($_SESSION['venpag_for']);
				unset($_SESSION['venpag_mod']);
				unset($_SESSION['venpag_numope']);
				unset($_SESSION['venpag_numdia']);
				unset($_SESSION['venpag_fecven']);
				unset($_SESSION['venpag_cajid']);
			}
		}
		
	
		
		
		$pro_nom = $_POST['txt_ven_detitem'];  // 'ALQUILER DE CAMPO '.$can_nom.' : '.$tiemin.' minutos';
		
		$est = 1;
		
		$oVenta->insertar_detalle(			
				1,
				1,
				1,
				$pro_nom,
				1,
				moneda_mysql($_POST['txt_ven_tot']),
				0,
				$ven_id,
				$est
			);
		
		$oCanchapos->modificar_campo($_POST['hdd_sepcan_id'],'est','2');
		$oCanchapos->modificar_campo($_POST['hdd_sepcan_id'],'gen',$ven_id);
		
		$user_agen = $_SERVER['HTTP_USER_AGENT'];
		$mod = 3;
		$mod_ide = $ven_id;
		$det = 'VENTA REGISTRADA ['.$doc_nom.' N°: '.$numdoc.']';
		$fec = date('Y-m-d');
		$doc_id = $_POST['cmb_doc_canpos_id'];
		$numdoc = $numdoc;
	 	$ip = mostrar_ip();
		
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		$doc_id,
		$numdoc
		);

	if($_POST['hdd_imp_val']==1)
	  	{
	  		$data['ven_act']='1';
	  	}
		
		$data['ven_id']=$ven_id;
		$data['sep_est']= '1';
		$data['sep_msj']='Se registró correctamente: '.$doc_nom.' N°: '.$numdoc;
	}
	else
	{
		$data['sep_est']= '0';
		$data['sep_msj']= 'Intentelo nuevamente.';
	}
	echo json_encode($data);
}





if($_POST['action'] == "obtener_datos"){
	if($_POST['cli_id']>0)
	{
		$rs = $oCliente->mostrarUno($_POST['cli_id']);		
		$fila = mysqli_fetch_array($rs);
			$data['telefono'] = $fila['tb_cliente_tel'];
			$data['correo'] = $fila['tb_cliente_ema'];
			$data['direccion'] = $fila['tb_cliente_dir'];
			$data['documento'] = $fila['tb_cliente_doc'];			
			$data['nombre'] = $fila['tb_cliente_nom'];
			$data['tipo'] = $fila['tb_cliente_tip'];
		mysqli_free_result($rs);
	}
	else
	{
		$data['msj']="Error en la obtención de datos del Cliente!";	
	}
	echo json_encode($data);
}
?>